/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.svnconf.valueobject;

import java.util.Date;
import java.util.List;

/**
 * blancoSvnConfのなかで利用されるValueObjectです。
 */
public class BlancoSvnConfStructure {
    /**
     * SubversionリポジトリID。必須項目。
     *
     * フィールド: [name]。
     */
    private String fName;

    /**
     * 説明。
     *
     * フィールド: [description]。
     */
    private String fDescription;

    /**
     * ホスト名。
     *
     * フィールド: [hostname]。
     */
    private String fHostname;

    /**
     * 基準ディレクトリ。
     *
     * フィールド: [baseDirectory]。
     */
    private String fBaseDirectory;

    /**
     * 管理者ID。
     *
     * フィールド: [administratorName]。
     */
    private String fAdministratorName;

    /**
     * 有効期間・開始
     *
     * フィールド: [validityPeriodBegin]。
     */
    private Date fValidityPeriodBegin;

    /**
     * 有効期間・終了
     *
     * フィールド: [validityPeriodEnd]。
     */
    private Date fValidityPeriodEnd;

    /**
     * 定義書区分 (new, update, delete)
     *
     * フィールド: [type]。
     */
    private String fType;

    /**
     * 非登録者利用 (none, r, rw)
     *
     * フィールド: [anonymousAuth]。
     */
    private String fAnonymousAuth;

    /**
     * フィールドを保持するリスト。
     *
     * フィールド: [userList]。
     * デフォルト: [new java.util.ArrayList<blanco.svnconf.valueobject.BlancoSvnConfUserStructure>()]。
     */
    private List<blanco.svnconf.valueobject.BlancoSvnConfUserStructure> fUserList = new java.util.ArrayList<blanco.svnconf.valueobject.BlancoSvnConfUserStructure>();

    /**
     * フィールド [name] の値を設定します。
     *
     * フィールドの説明: [SubversionリポジトリID。必須項目。]。
     *
     * @param argName フィールド[name]に設定する値。
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド [name] の値を取得します。
     *
     * フィールドの説明: [SubversionリポジトリID。必須項目。]。
     *
     * @return フィールド[name]から取得した値。
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [description] の値を設定します。
     *
     * フィールドの説明: [説明。]。
     *
     * @param argDescription フィールド[description]に設定する値。
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド [description] の値を取得します。
     *
     * フィールドの説明: [説明。]。
     *
     * @return フィールド[description]から取得した値。
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * フィールド [hostname] の値を設定します。
     *
     * フィールドの説明: [ホスト名。]。
     *
     * @param argHostname フィールド[hostname]に設定する値。
     */
    public void setHostname(final String argHostname) {
        fHostname = argHostname;
    }

    /**
     * フィールド [hostname] の値を取得します。
     *
     * フィールドの説明: [ホスト名。]。
     *
     * @return フィールド[hostname]から取得した値。
     */
    public String getHostname() {
        return fHostname;
    }

    /**
     * フィールド [baseDirectory] の値を設定します。
     *
     * フィールドの説明: [基準ディレクトリ。]。
     *
     * @param argBaseDirectory フィールド[baseDirectory]に設定する値。
     */
    public void setBaseDirectory(final String argBaseDirectory) {
        fBaseDirectory = argBaseDirectory;
    }

    /**
     * フィールド [baseDirectory] の値を取得します。
     *
     * フィールドの説明: [基準ディレクトリ。]。
     *
     * @return フィールド[baseDirectory]から取得した値。
     */
    public String getBaseDirectory() {
        return fBaseDirectory;
    }

    /**
     * フィールド [administratorName] の値を設定します。
     *
     * フィールドの説明: [管理者ID。]。
     *
     * @param argAdministratorName フィールド[administratorName]に設定する値。
     */
    public void setAdministratorName(final String argAdministratorName) {
        fAdministratorName = argAdministratorName;
    }

    /**
     * フィールド [administratorName] の値を取得します。
     *
     * フィールドの説明: [管理者ID。]。
     *
     * @return フィールド[administratorName]から取得した値。
     */
    public String getAdministratorName() {
        return fAdministratorName;
    }

    /**
     * フィールド [validityPeriodBegin] の値を設定します。
     *
     * フィールドの説明: [有効期間・開始]。
     *
     * @param argValidityPeriodBegin フィールド[validityPeriodBegin]に設定する値。
     */
    public void setValidityPeriodBegin(final Date argValidityPeriodBegin) {
        fValidityPeriodBegin = argValidityPeriodBegin;
    }

    /**
     * フィールド [validityPeriodBegin] の値を取得します。
     *
     * フィールドの説明: [有効期間・開始]。
     *
     * @return フィールド[validityPeriodBegin]から取得した値。
     */
    public Date getValidityPeriodBegin() {
        return fValidityPeriodBegin;
    }

    /**
     * フィールド [validityPeriodEnd] の値を設定します。
     *
     * フィールドの説明: [有効期間・終了]。
     *
     * @param argValidityPeriodEnd フィールド[validityPeriodEnd]に設定する値。
     */
    public void setValidityPeriodEnd(final Date argValidityPeriodEnd) {
        fValidityPeriodEnd = argValidityPeriodEnd;
    }

    /**
     * フィールド [validityPeriodEnd] の値を取得します。
     *
     * フィールドの説明: [有効期間・終了]。
     *
     * @return フィールド[validityPeriodEnd]から取得した値。
     */
    public Date getValidityPeriodEnd() {
        return fValidityPeriodEnd;
    }

    /**
     * フィールド [type] の値を設定します。
     *
     * フィールドの説明: [定義書区分 (new, update, delete)]。
     *
     * @param argType フィールド[type]に設定する値。
     */
    public void setType(final String argType) {
        fType = argType;
    }

    /**
     * フィールド [type] の値を取得します。
     *
     * フィールドの説明: [定義書区分 (new, update, delete)]。
     *
     * @return フィールド[type]から取得した値。
     */
    public String getType() {
        return fType;
    }

    /**
     * フィールド [anonymousAuth] の値を設定します。
     *
     * フィールドの説明: [非登録者利用 (none, r, rw)]。
     *
     * @param argAnonymousAuth フィールド[anonymousAuth]に設定する値。
     */
    public void setAnonymousAuth(final String argAnonymousAuth) {
        fAnonymousAuth = argAnonymousAuth;
    }

    /**
     * フィールド [anonymousAuth] の値を取得します。
     *
     * フィールドの説明: [非登録者利用 (none, r, rw)]。
     *
     * @return フィールド[anonymousAuth]から取得した値。
     */
    public String getAnonymousAuth() {
        return fAnonymousAuth;
    }

    /**
     * フィールド [userList] の値を設定します。
     *
     * フィールドの説明: [フィールドを保持するリスト。]。
     *
     * @param argUserList フィールド[userList]に設定する値。
     */
    public void setUserList(final List<blanco.svnconf.valueobject.BlancoSvnConfUserStructure> argUserList) {
        fUserList = argUserList;
    }

    /**
     * フィールド [userList] の値を取得します。
     *
     * フィールドの説明: [フィールドを保持するリスト。]。
     * デフォルト: [new java.util.ArrayList<blanco.svnconf.valueobject.BlancoSvnConfUserStructure>()]。
     *
     * @return フィールド[userList]から取得した値。
     */
    public List<blanco.svnconf.valueobject.BlancoSvnConfUserStructure> getUserList() {
        return fUserList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.svnconf.valueobject.BlancoSvnConfStructure[");
        buf.append("name=" + fName);
        buf.append(",description=" + fDescription);
        buf.append(",hostname=" + fHostname);
        buf.append(",baseDirectory=" + fBaseDirectory);
        buf.append(",administratorName=" + fAdministratorName);
        buf.append(",validityPeriodBegin=" + fValidityPeriodBegin);
        buf.append(",validityPeriodEnd=" + fValidityPeriodEnd);
        buf.append(",type=" + fType);
        buf.append(",anonymousAuth=" + fAnonymousAuth);
        buf.append(",userList=" + fUserList);
        buf.append("]");
        return buf.toString();
    }
}
